> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.select.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a usage group set

> Delete a usage group set and all its associated usage groups.



## OpenAPI

````yaml https://api.select.dev/public_openapi delete /api/{organization_id}/usage-group-sets/{usage_group_set_id}
openapi: 3.1.0
info:
  title: SELECT API (v1)
  version: 0.1.0
servers:
  - url: https://api.select.dev/
    description: SELECT API
security: []
paths:
  /api/{organization_id}/usage-group-sets/{usage_group_set_id}:
    delete:
      tags:
        - usage-group-sets
        - public-api
      summary: Delete a usage group set
      description: Delete a usage group set and all its associated usage groups.
      operationId: >-
        delete_usage_group_set_route_api__organization_id__usage_group_sets__usage_group_set_id__delete
      parameters:
        - name: usage_group_set_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ID of the usage group set to delete
            title: Usage Group Set Id
          description: The ID of the usage group set to delete
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    SuccessResponse:
      properties:
        success:
          type: boolean
          const: true
          title: Success
      type: object
      required:
        - success
      title: SuccessResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````